
Figure - Bug #115816
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试6小时，出现CRASH: com.android.settings（16）
2023-02-03 09:50 - CD Test赵飞

Status: CLOSED Start date: 2023-02-03

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0071.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2023-02-06

Test Type: Monkey Test Root cause: 空指针异常，已修复

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts  --ignore-security-exceptions  --monitor-native-crashes 

--ignore-native-crashes -s  20  --throttle 500  --pct-touch  30  --pct-motion  15  --pct-nav  15  --pct-majornav  15  --pct-syskeys  5  --pct-appswitch 

10  --pct-anyevent  10  --ignore-crashes   -v -v -v 43200 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// CRASH: com.android.settings (pid 6157)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to invoke virtual method 'void

androidx.preference.Preference.setOnPreferenceChangeListener(androidx.preference.Preference$OnPreferenceChangeListener)' on a null

object reference

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/1933:user/test-keys

// Build Changelist: 1933

// Build Time: 1675275913000

// java.lang.RuntimeException: Unable to resume activity {com.android.settings/com.android.settings.homepage.SettingsHomepageActivity}:

java.lang.NullPointerException: Attempt to invoke virtual method 'void

androidx.preference.Preference.setOnPreferenceChangeListener(androidx.preference.Preference$OnPreferenceChangeListener)' on a null

object reference

//     at android.app.ActivityThread.performResumeActivity(ActivityThread.java:4758)

//     at android.app.ActivityThread.handleResumeActivity(ActivityThread.java:4791)

//     at android.app.servertransaction.ResumeActivityItem.execute(ResumeActivityItem.java:54)

//     at android.app.servertransaction.ActivityTransactionItem.execute(ActivityTransactionItem.java:45)

//     at android.app.servertransaction.TransactionExecutor.executeLifecycleState(TransactionExecutor.java:176)

//     at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:97)

//     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

//     at android.os.Handler.dispatchMessage(Handler.java:106)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)
//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// Caused by: java.lang.NullPointerException: Attempt to invoke virtual method 'void

androidx.preference.Preference.setOnPreferenceChangeListener(androidx.preference.Preference$OnPreferenceChangeListener)' on a null

object reference

//     at com.android.settingslib.core.AbstractPreferenceController.displayPreference(AbstractPreferenceController.java:37)

//     at com.android.settings.notification.app.AppNotificationSettings.onResume(AppNotificationSettings.java:64)

//     at androidx.fragment.app.Fragment.performResume(Fragment.java:3029)

//     at androidx.fragment.app.FragmentStateManager.resume(FragmentStateManager.java:583)

//     at androidx.fragment.app.FragmentStateManager.moveToExpectedState(FragmentStateManager.java:282)

//     at androidx.fragment.app.FragmentStore.moveToExpectedState(FragmentStore.java:112)

//     at androidx.fragment.app.FragmentManager.moveToState(FragmentManager.java:1667)

//     at androidx.fragment.app.FragmentManager.dispatchStateChange(FragmentManager.java:3234)

//     at androidx.fragment.app.FragmentManager.dispatchResume(FragmentManager.java:3192)

//     at androidx.fragment.app.FragmentController.dispatchResume(FragmentController.java:273)

//     at androidx.fragment.app.FragmentActivity.onResumeFragments(FragmentActivity.java:434)

//     at androidx.fragment.app.FragmentActivity.onPostResume(FragmentActivity.java:423)

//     at android.app.Activity.performResume(Activity.java:8241)

//     at android.app.ActivityThread.performResumeActivity(ActivityThread.java:4748)

//     ... 13 more

History

#1 - 2023-02-03 18:41 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

179291 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:Settings: Fix settings NullPointerException in Monkey testTC-RID: 1201-0201803IssueID: TS-R-BUG-115816Change-Id:

I8c0e2d4a5739d15dcc9274de1f52538d1d4a9021

#2 - 2023-02-03 18:46 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-06

- Root cause set to 空指针异常，已修复

#3 - 2023-02-08 10:04 - CD Test赵飞

- % Done changed from 100 to 70

2/7号release版本未复现此问题

Monkey问题，继续跟踪2个版本
#4 - 2023-02-09 10:03 - CD Test赵飞

2/8号DB版本未复现此问题

Monkey问题，继续跟踪1个版本

#5 - 2023-02-10 10:43 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 70 to 80

2/9号release版本未复现此问题

已验证3个版本未复现，关闭此问题

#6 - 2023-02-10 10:46 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100

Files

Tlog.zip 23 MB 2023-02-03 CD Test赵飞
